/*ESTILOS DO PORTAL BASE - ESTES ESTILOS FAZEM OVERRIDE AOS ESTILOS PRESENTES NA CSS DO ASSETS.UTAD.PT*/
:root {
    --main-color: #0072c6;
    --lateral-color: #e8e8e8;
    --sidebar-width: 235px;

    font-size: 0.875rem;
}


h1, h2, h3 {
    margin-bottom: 10.0px;
    color: #007bff;
}

h2 {
    color: #0096c4;
}

a {
    color: inherit;
}

 

.card-header h1, h3 {
    margin-top: 20.0px;
}

.text-info {
    color: #3a87ad !important;
}

.popover {
    font-family: wf_segoe-ui_normal,wf_segoe-ui_semilight,wf_segoe-ui_light,Arial,sans-serif;
    font-size: 1rem;
}

.nav-tabs {
    margin-bottom: 20.0px;
    margin-left: 13px;
}

/*PORTAL BASE*/
.portalbase-navbar {
    background-color: var(--main-color);
    padding: 0;
    padding-left: 50px;
}

.portalbase-navbar-sidebar-toggle {
    width: 30.0px;
    height: 30.0px;
    margin: 10.0px;
    cursor: pointer;
}

.portalbase-navbar-sidebar-toggle i {
    font-size: 2.3rem;
    color: #fff;
}

.portalbase-navbar-apptitle {
    margin: 10.0px;
    color: white;
}

.portalbase-navbar-loginbutton {
    color: white;
    /*padding: 5px;*/
    font-size: 10px;
    font-weight: bold;
    margin: 10.0px;
    margin-top: 12.5px;
}

.portalbase-navbar-loginbutton a:hover {
    color: var(--main-color);
}

.portalbase-navbar-icon {
    color: white;
    margin: 10.0px;
    margin-top: 12.5px;
    cursor: pointer;
}

.portalbase-navbar-profile {
    min-width: 350.0px;
}

.portalbase-navbar-profile-foto {
    max-width: 50px;
}

.portalbase-navbar-profile-foto-container {
    border-right: 1px solid #336699;
}

.portalbase-navbar-linguagens {
    color: white;
    margin: 10.0px;
}

.portalbase-navbar-linguagens-menu {
    min-width: 0;
}

.portalbase-progressbar-container {
    height: 3.0px;
}

.portalbase-progressbar-container > svg {
    display: block;
}

/*.portalbase-main {
    margin-top: 20.0px;
    margin-bottom: 100.0px;
    padding-left: 30px;
    padding-right: 30px;
    min-height: 100vh;
    overflow-y: hidden;
    padding-bottom: 20.0px;
}*/

.portalbase-main {
    overflow: hidden;
    min-height: 100vh;
    padding:30px;
    position:relative;
    margin:0 auto;
}




.page {
    display: flex;
    flex-direction: row;
    width: 100vw;
    height: 100vh;
}

    .page .image {
        width: 40%;
        min-height: 200px;
        max-height: 100vh;
        background-image: url('../Content/Images/splash.png');
        background-color: #fff;
        background-position: center;
        background-size: cover;
        overflow: hidden;
    }


    .page .logo {
        position: relative;
        margin-top: 20px;
        margin-left: 20px;
        margin-bottom: 50px;
    }

    .page .form {
        min-width: 50%;
        display: flex;
        flex-flow: wrap;
        flex-grow: 1;
        /*align-items: center;*/
        justify-content: center;
        padding: 0 20px;
        overflow: hidden;
    }


    .page .form .form-container {
            max-width: 680px;
            min-height: 0;
            margin-top: 50px;
            margin-bottom: 70px;
        }


.portalbase-sidebar {
    background-color: var(--lateral-color);
    transition: all 0.3s;
}

.portalbase-sidebar .input-group {
    padding: 10px;
}

.portalbase-sidebar .list-group-item {
    min-width: var(--sidebar-width);
    max-width: var(--sidebar-width);
    padding-top: 0;
    padding-bottom: 0;
    color: black;
    background-color: var(--lateral-color);
    line-height: 50px;
}

.portalbase-sidebar .list-group-item-action:focus {
    color: black;
    background-color: #bababa;
}

.portalbase-sidebar .list-group-item-action:active:focus {
    color: black;
    background-color: #bababa;
}

.portalbase-sidebar .portalbase-sidebar-submenuitem {
    color: black;
    background-color: #f2f2f2;
}

.portalbase-sidebar.active {
    margin-left: calc(-1 * var(--sidebar-width));
}

.card-header.portalbase-mensagem-card-header {
    background-color: var(--lateral-color);
}

.portalbase-app-square {
    float: left;
    margin: 10.0px;
    text-align: center;
    display: table;
}

.portalbase-app-square.small {
    height: 30.0px;
    width: 30.0px;
    font-size: 18.75px;
}

.portalbase-app-square.medium {
    height: 50.0px;
    width: 50.0px;
    font-size: 31.25px;
}

.portalbase-app-square.large {
    height: 100.0px;
    width: 100.0px;
    font-size: 62.5px;
}

.portalbase-app-square span {
    color: white;
    vertical-align: middle;
    display: table-cell;
    line-height: 0;
}

.portalbase-footer {
    height: 100px;
    background-color: var(--lateral-color);
    position: relative;
    width: 100%;
    margin-bottom: 0;
    margin-left: -15px;
}

@media (max-width: 768px) {
    .portalbase-sidebar {
        margin-left: calc(-1 * var(--sidebar-width));
    }

    .portalbase-sidebar.active {
        margin-left: 0;
    }
}

/*INTRANET*/

.intranet-destaque {
    width: inherit;
    height: auto;
    min-height: 100px;
}

.intranet-destaque p {
    color: white;
    padding: 10.0px;
}

.intranet-app {
    background-clip: content-box;
    -moz-transition: all .1s ease-in;
    -o-transition: all .1s ease-in;
    -webkit-transition: all .1s ease-in;
    transition: all .1s ease-in;
}

.intranet-app:hover {
    background-color: var(--lateral-color);
}

.intranet-app a {
    margin-top: 25.0px;
    display: table;
}

.intranet-fav .intranet-fav-text {
    margin-top: 15.0px;
    display: table;
}

div.table {
    display: table;
}

div.table .file-row {
    display: table-row;
}

div.table .file-row > div {
    display: table-cell;
    vertical-align: top;
    border-top: 1px solid #ddd;
    padding: 8px;
}

div.table .file-row:nth-child(odd) {
    background: #f9f9f9;
}

.col-md-6 {
    margin-bottom: 1%;
}

/* VSA - Novas Alterações */
/**************************/

.rotateicon {
    -moz-transition: all 0.3s linear;
    -webkit-transition: all 0.3s linear;
    transition: all 0.3s linear;
}

.rotateicon.down {
    -ms-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
}

/* Jsonform.js */
.jsonform-required > label:after {
    content: ' *';
    color: red;
}

/*.jsonform-hasrequired:after {
            content: '* Required field';
            display: block;
            color: red;
            padding-top: 1em;
        }*/

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    margin: 2px 0 0;
    font-size: 14px;
    text-align: left;
    list-style: none;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
    box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
}

.btn {
    border: 1px solid #ced4da !important;
}

.dropdown-menu > .pagination-right > .btn {
    visibility: hidden;
}

.dropdown-menu > .pagination-right > .btn:after {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    border: 1px solid #ced4da !important;
    content: 'Limpar';
    visibility: visible;
}

.radio input[type="radio"], .radio-inline input[type="radio"], .checkbox input[type="checkbox"], .checkbox-inline input[type="checkbox"] {
    position: absolute;
    margin-top: 4px \9;
    margin-left: -20px;
}

input[type="radio"], input[type="checkbox"] {
    margin: 4px 5px 0;
    line-height: normal;
    margin-left: 7px;
}

.help-block {
    display: block;
    margin-top: 5px;
    margin-bottom: 10px;
    color: #737373;
}

label {
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    font-weight: bold;
}

.radio label, .checkbox label {
    min-height: 20px;
    padding-left: 20px;
    margin-bottom: 0;
    font-weight: normal;
    cursor: pointer;
}


.h-100 {
    height: 100% !important;
}

.card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, 0.125);
    border-radius: 0.25rem;
}


.dashboard-destaque {
    width: inherit;
    height: 50%;
    min-height: 150px !important;
}


.card-img, .card-img-top {
    border-top-left-radius: calc(0.25rem - 1px);
    border-top-right-radius: calc(0.25rem - 1px);
}



.card-img, .card-img-top, .card-img-bottom {
    -ms-flex-negative: 0;
    flex-shrink: 0;
    width: 100%;
}


.dashboard-destaque p {
    color: white;
    padding: 10px;
}


.card-body {
    width: inherit;
    height: 50%;
    min-height: 50px !important;
}







/*
    exclusivo
*/

.center {
    text-align: center;
}

.passo-main {
    height: 30px;
    display: inline;
}

.passo-grelha {
    display: inline-block;
    position: relative;
    float: right;
    text-align: center;
}

    .passo-grelha::after {
        border-bottom: solid 1px #f0f0f0;
        content: "";
        position: absolute;
        z-index: -1;
        width: 100%;
        top: 50%;
        left: 0;
    }

.passo {
    float: left;
    border: solid 0px #fff;
    border-radius: 50%;
    padding: 5px;
    margin: 0 10px;
    width: 30px;
    height: 30px;
    background-color: #b4c0b2;
    font-weight: bold;
    color: #fff;
    cursor: default;
}

.passo-first {
    margin-left: 0 !important;
}

.passo-last {
    margin-right: 0 !important;
}

.passo-ativo {
    background-color: #6a9d47;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

/*AlternativeDesign*/
:root {
    --main-color: #333;
}

h2 {
    border: none !important;
    color: #0096c4 !important;
}

#navBar {
    background-color: var(--main-color) !important;
}

.firstAnchor { /*linha da margem esquerda da navBar*/
    background-color: var(--main-color) !important;
}

nav ul ul { /*tamanho dos submenus*/
    min-width: 10em !important;
    max-width: 100% !important;
}

    nav ul ul li { /*fundo dos items do submenu*/
        background-color: var(--main-color) !important;
    }

nav ul li a:hover { /*apontador nos items do menu*/
    cursor: pointer !important;
}

.MainMenu a {
    height: 50px;
}

#navBarAPPProfileIcon { /*fundo do quadrado por de trás do icon de perfil*/
    background-color: var(--main-color) !important;
    width: 27px !important;
}

    #navBarAPPProfileIcon span { /*icon de perfil*/
        color: white;
        font-size: 22px;
        top: 5px !important;
    }

.navBarAPPProfileIconOnClick { /*border do icon de perfil*/
    border: 2px solid white;
}

#navBarAPPProfileIcon span:hover { /*apontador no icon de perfil*/
    cursor: pointer;
}

ul li a span { /*seta no menu com submenu*/
    font-size: 5px;
    margin-left: 2px;
}

#languageSubMenu { /*submenu linguagem - limitar largura ao tamanho do texto*/
    min-width: 0px !important;
}

.alert { /*margens da barra de mensagens*/
    margin-top: 20px;
    margin-bottom: 20px !important;
    margin-bottom: 20px;
}

#navBarAPPLine-provest { /*teste loading*/
    /*/transition: background-color 1s ease;*/
}


/*progressbar*/
#container {
    height: 53px;
    width: 100%;
    position: fixed;
    z-index: 20;
}

    #container > svg {
        height: 100%;
        display: block;
    }

#navBar {
    z-index: 21 !important;
}

#navBarAPPLine {
    background-color: #333 !important;
    width: 100%;
    height: 53px;
    float: left;
    position: fixed;
    z-index: 19;
}
/*end-progressbar*/

#wrap {
    margin-bottom: 40px;
}

/*remover cor azul quando o objeto é selecionado*/
.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

/*botão de Iniciar Sessão*/
#navBarProfileLogin {
    color: white !important;
    border-radius: 0 !important;
}

    #navBarProfileLogin a:hover {
        color: var(--main-color);
    }

/*menu de linguagens*/
#language {
    margin-top: 13px !important;
}

#currentLanguage {
    line-height: 25px !important;
}

#languageSubMenu {
    margin-top: -25px !important;
}

/*corrigir tamanho das linhas de aplicaçõe em Home/Index*/
.appsLine {
    width: 100%;
    min-height: 120px;
    margin-top: 50px;
}



.clearfix {
    clear: both;
}

.alerta {
    width: 100%;
    padding: 15px;
    color: white;
    font-weight: bold;
    margin: 13px 0;
}

.alerta-erro {
    background-color: #e03b3b; /*#e64f4f*/
}

.alerta-info {
    background-color: #0096c4; /*#4697ff*/
}

.alerta-success {
    background-color: #09A895; /*#63965c*/
}

.alerta-warning {
    background-color: #f9a93e;
}

.checkboxElement {
    float: left;
    list-style-type: none;
    margin-right: 20px;
}

.checkboxList {
    margin-left: -38px;
    margin-top: 5px;
}

textarea {
    resize: vertical;
}

@-webkit-keyframes rotating /* Safari and Chrome */ {
    from {
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes rotating {
    from {
        -ms-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -ms-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.rotating {
    -webkit-animation: rotating 2s linear infinite;
    -moz-animation: rotating 2s linear infinite;
    -ms-animation: rotating 2s linear infinite;
    -o-animation: rotating 2s linear infinite;
    animation: rotating 2s linear infinite;
}

@media all and (max-width : 990px) {

    /*margens da grelha de aplicações em Home/Index*/
    .appsLine {
        margin-top: 0px;
    }

    .appsElement {
        margin-top: 50px;
    }
}

@media all and (max-width : 900px) {

    /*menu de linguagens*/
    #navBarAPPProfileIcon {
        right: 50px !important;
    }

    #language {
        margin-top: 13px !important;
        margin-right: 10px !important;
    }

        #language .menu {
            display: inline-block !important;
        }

        #language .toggle {
            padding: 0 5px;
            line-height: 25px;
            background-color: var(--main-color);
        }

    #languageSubMenu {
        margin-top: 0px !important;
    }
}


#tableID {
    margin-top: 25px;
}
 